## gnome-commander 1.16.0

=== meson_options.txt ===
option('help',    type: 'boolean', value: true,   description: 'Defines whether the documentation should be created.')
option('exiv2',   type: 'feature', value: 'auto', description: 'Enable EXIF and IPTC support or not.')
option('libgsf',  type: 'feature', value: 'auto', description: 'Enable OLE and ODF support or not.')
option('poppler', type: 'feature', value: 'auto', description: 'Enable PDF support or not.')
option('samba',   type: 'feature', value: 'auto', description: 'Enable SAMBA support or not.')
option('taglib',  type: 'feature', value: 'auto', description: 'Enable taglib (ID3, Vorbis, APE and FLAC) support or not.')
option('unique',  type: 'feature', value: 'auto', description: 'Enable unique support or not.')
option('tests',   type: 'feature', value: 'auto', description: 'Build tests')

## gnome-commander 1.2.8.6

=== debian/changelog ===
gnome-commander (1.2.8.6-3) unstable; urgency=low

  * Replace XS-Python-Support with XS-Python-Version.
  * Use "dh $@ --foo" for compatibility with DH v8.

 -- Alessio Treglia <alessio@debian.org>  Mon, 09 Aug 2010 13:12:51 +0200

gnome-commander (1.2.8.6-2) unstable; urgency=low

  * Add myself as uploader.
  * Re-add python plugins support (Closes: #530925).
  * Suggests on libgnomevfs2-extra (Closes: #362268).
  * Switch to DH 7 + autotools_dev add-on.
  * Drop CDBS.
  * Update Standards-Version to 3.9.1.
  * Move packaging to collab-maint's git area.
  * Move Homepage field to the source stanza.
  * Switch to format 3.0 (quilt).
  * Add .gitignore file.
  * Add git-buildpackage configuration file.
  * debian/copyright: Re-written as per DEP-5 proposal.
  * Remove *.la files since it's a release goal for squeeze.

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 Aug 2010 19:17:48 +0200

gnome-commander (1.2.8.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 11:17:54 +0200

gnome-commander (1.2.8.5-1) unstable; urgency=low

  * New upstream release (closes: #542026)
  * add debian/watch file from Ubuntu, many thanks
  * debian/control:
   - take cleanups from Ubuntu, many thanks
   - add libssl-dev build-dependency

 -- Michael Vogt <mvo@debian.org>  Wed, 28 Jul 2010 09:14:14 +0200

gnome-commander (1.2.7-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 09 Sep 2008 21:59:34 +0200

gnome-commander (1.2.6-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 15 Jul 2008 10:35:05 +0200

gnome-commander (1.2.5-1) unstable; urgency=low

  * New upstream release
  * Thanks to Christopher Sauthier for the help
    with the update

 -- Michael Vogt <mvo@debian.org>  Wed, 12 Mar 2008 19:55:49 +0100

gnome-commander (1.2.4-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Jun 2007 09:37:03 +0200

gnome-commander (1.2.3-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Tue, 12 Dec 2006 10:25:21 +0100

gnome-commander (1.2.2-1) unstable; urgency=low

  * New upstream release (closes: #401228)

 -- Michael Vogt <mvo@debian.org>  Mon, 11 Dec 2006 09:49:10 +0100

gnome-commander (1.2.0-3.2) unstable; urgency=medium

  * Non-maintainer upload. 
  * Fix typo in debian/rules which caused the files in
    /var/lib/scrollkeeper to be shipped. (Closes: #386319)
  * Also repair scrollkeeper database up to this version as previos NMU
    still shipped the /var/lib/scrollkeeper files.

 -- Arjan Oosting <arjanoosting@home.nl>  Wed, 27 Sep 2006 14:08:02 +0200

gnome-commander (1.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * If scrollkeeper is installed, repair the scrollkeeper database for
    upgrades from versions >= 1.2.0-1 via postinst; see #383201 for
    discussion.

 -- Loic Minier <lool@dooz.org>  Sun,  3 Sep 2006 16:22:55 +0200

gnome-commander (1.2.0-3) unstable; urgency=low

  * added --disable-scrollkeeper on build

 -- Michael Vogt <mvo@debian.org>  Tue, 13 Jun 2006 15:39:48 +0200

gnome-commander (1.2.0-2) unstable; urgency=low

  * fix FTBFS (Closes: #370239) by adding gnome-doc-utils,
    scrollkeeper to the build-depends

 -- Michael Vogt <mvo@debian.org>  Tue,  6 Jun 2006 14:58:44 +0200

gnome-commander (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Michael Vogt <mvo@debian.org>  Fri,  2 Jun 2006 09:40:37 +0200

gnome-commander (1.1.7-2) unstable; urgency=low

  * fixed debian/copyright file

 -- Michael Vogt <mvo@debian.org>  Mon, 27 Mar 2006 10:06:52 +0200

gnome-commander (1.1.7-1) unstable; urgency=low

  * initial release into debian, based on the ubuntu packaging from
    Daniel Holbach (thanks!)

 -- Michael Vogt <mvo@debian.org>  Tue, 14 Feb 2006 11:35:05 +0100

=== debian/control ===
Source: gnome-commander
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 autotools-dev (>= 20100122.1~),
 libglib2.0-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8),
 libgnome2-dev (>= 2.0),
 libgnomeui-dev (>= 2.4),
 libgnomevfs2-dev (>= 2.0),
 python-dev,
 python-support,
 libxml-parser-perl,
 gnome-doc-utils,
 rarian-compat,
 libtag1-dev (>= 1.4),
 libexiv2-dev (>= 0.14),
 libpoppler-dev (>= 0.6),
 libssl-dev
XS-Python-Version: current, >= 2.6
Standards-Version: 3.9.1
Homepage: http://www.nongnu.org/gcmd/
Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-commander.git

Package: gnome-commander
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${python:Depends}
Suggests: libgnomevfs2-extra
Description: nice and fast file manager for the GNOME desktop
 GNOME Commander is a fast and powerful graphical filemanager for the GNOME 
 desktop environment, it has a "two-pane" interface in the tradition of 
 Norton and Midnight Commander.
 .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools_dev

override_dh_auto_configure:
	dh_auto_configure -- --disable-scrollkeeper

override_dh_auto_install:
	dh_auto_install
	find debian/gnome-commander/usr/lib -name *.la -delete

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/([\d.]+)/gnome-commander-([\d.]+)\.tar\.gz

## gnome-commander 1.2.8.8

=== debian/changelog ===
gnome-commander (1.2.8.8-2) experimental; urgency=low

  * Add local-options to unapply patches automatically after running
    git-buildpackage.
  * Fix typo in get_file_info_callback(), which was overwriting the
    con->state=CON_STATE_OPEN with con->state=CON_STATE_CLOSED.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Sep 2010 10:23:22 +0200

gnome-commander (1.2.8.8-1) experimental; urgency=low

  * New upstream release:
    - Fixed problem #610764 (menu item won't stay checked)
    - Fixed problem #626469, add support for other su-like
      programs:
       + xdg-su
       + gnomesu
    - Fixed problem with broken Spanish translation.
  * Build-depend on intltool.
  * Remove unused-overrides binary-or-shlib-defines-rpath.
  * Point watch file to the bzip'd tarball.

 -- Alessio Treglia <alessio@debian.org>  Sun, 12 Sep 2010 19:46:56 +0200

gnome-commander (1.2.8.7-1~exp1) experimental; urgency=low

  * New upstream bugfix release:
    - Fixed problem #540438 (no GUI message if meld cannot be executed).
    - Fixed problem #616367 ("File not found" dialog after startup).
    - Fixed problem #620650 (buffer overflow in load_fav_apps()).
    - Fixed problem #622456 (do not build plugins as shared library objects).
    - Fixed problem with editing options for favourite apps and devices.
  * debian/control:
    - Add meld on Suggests field.
  * debian/README.Debian:
    - Suggest to install libgnomevfs2-extra if SMB support is needed.
  * Add debian/gnome-commander.lintian-overrides to override
    binary-or-shlib-defines-rpath:
    - No other binaries in any other package reference the library.
    - The lib is not intended to be used by anyone else (no -DEV package
      is available for it).

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Aug 2010 14:26:38 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Michael Vogt <mvo@debian.org>
 Uploaders: Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
+ intltool,
  autotools-dev (>= 20100122.1~),
  libglib2.0-dev (>= 2.0),
  libgtk2.0-dev (>= 2.8),
@@ -30,7 +31,8 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  ${python:Depends}
-Suggests: libgnomevfs2-extra
+Suggests: libgnomevfs2-extra,
+ meld
 Description: nice and fast file manager for the GNOME desktop
  GNOME Commander is a fast and powerful graphical filemanager for the GNOME 
  desktop environment, it has a "two-pane" interface in the tradition of

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,6 @@
 override_dh_auto_install:
 	dh_auto_install
 	find debian/gnome-commander/usr/lib -name *.la -delete
+
+# Disable this to avoid FTBFS.
+override_dh_auto_test:

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/([\d.]+)/gnome-commander-([\d.]+)\.tar\.bz2

## gnome-commander 1.2.8.10

=== debian/changelog ===
gnome-commander (1.2.8.10-3build1) natty; urgency=low

  * No changes upload for libpoppler12 -> libpoppler13 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Thu, 17 Mar 2011 20:18:12 +0000

gnome-commander (1.2.8.10-3) experimental; urgency=low

  * Move manpages,desktop file back to gnome-commander-data. Fix FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Jan 2011 01:48:22 +0100

gnome-commander (1.2.8.10-2) experimental; urgency=low

  * Update debian/copyright.
  * Move stuff under /usr/share into a separate architecture independent
    package.
  * Link with -Wl,--as-needed.
  * Add -DBG package.
  * Pass -n to dh_makeshlibs since the package doesn't provide any
    shlib.
  * Add patch to correct a small spelling error.
  * Link gnome-commander's manpage to
    usr/share/man/man1/gcmd-block.1.gz.
  * Switch to dh_python2.
  * Add proper Replaces,Breaks fields.
  * Drop gnome-commander.postinst, it is no longer needed since the
    1.2.0 release isn't in stable.
  * Add patch to fix lintian's hyphen-used-as-minus-sign warning.
  * Add patch to fix the desktop file as per spec.
  * Add patch to avoid DeprecationWarning with Python 2.6.

 -- Alessio Treglia <alessio@debian.org>  Mon, 24 Jan 2011 10:29:38 +0100

gnome-commander (1.2.8.10-1) experimental; urgency=low

  * New upstream bugfix-only release:
    - Fix problem #448941 (numeric keypad arrows don't work in the
      main window).
    - Fix problem #620275 (add menu item to copy full path and file
      name to clipboard).
    - Fix problem #637501 (advrename: metatag popup menu shows wrong
      items).
    - Fix problem with toggling path/basename/filename selections in
      copy/move dialogs.
    - Fix problem with searching path for devices.
    - Update german translation.

 -- Alessio Treglia <alessio@debian.org>  Sun, 23 Jan 2011 12:04:04 +0100

gnome-commander (1.2.8.9-1) experimental; urgency=low

  * New upstream release:
    - Bug fixes:
      + Fixed problem #352024 (F10 key doesn't work)
      + Fixed problem #631243 (advrename $c(width) regression)
    - New features:
      + Support for shell-style wildcards in quick search

 -- Alessio Treglia <alessio@debian.org>  Mon, 06 Dec 2010 01:02:45 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  libgnomeui-dev (>= 2.4),
  libgnomevfs2-dev (>= 2.0),
  python-dev,
- python-support,
  libxml-parser-perl,
  gnome-doc-utils,
  rarian-compat,
@@ -20,7 +19,7 @@
  libexiv2-dev (>= 0.14),
  libpoppler-dev (>= 0.6),
  libssl-dev
-XS-Python-Version: current, >= 2.6
+X-Python-Version: >= 2.6
 Standards-Version: 3.9.1
 Homepage: http://www.nongnu.org/gcmd/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
@@ -29,6 +28,7 @@
 Package: gnome-commander
 Architecture: any
 Depends: ${shlibs:Depends},
+ gnome-commander-data (>= ${source:Version}),
  ${misc:Depends},
  ${python:Depends}
 Suggests: libgnomevfs2-extra,
@@ -37,4 +37,29 @@
  GNOME Commander is a fast and powerful graphical filemanager for the GNOME 
  desktop environment, it has a "two-pane" interface in the tradition of 
  Norton and Midnight Commander.
+
+Package: gnome-commander-data
+Architecture: all
+Replaces: gnome-commander (<= 1.2.8.10-1)
+Breaks: gnome-commander (<= 1.2.8.10-1)
+Depends: ${misc:Depends}
+Suggests: gnome-commander
+Description: Data files for GNOME Commander
+ GNOME Commander is a fast and powerful graphical filemanager for
+ the GNOME desktop environment, it has a "two-pane" interface in
+ the tradition of Norton and Midnight Commander.
  .
+ This package contains the data files for gnome-commander.
+
+Package: gnome-commander-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: gnome-commander (= ${binary:Version}),
+ ${misc:Depends}
+Description: Debugging symbols for gnome-commander
+ GNOME Commander is a fast and powerful graphical filemanager for the GNOME 
+ desktop environment, it has a "two-pane" interface in the tradition of 
+ Norton and Midnight Commander.
+ .
+ This package contains the debugging symbols for gnome-commander.

=== debian/rules ===
#!/usr/bin/make -f

LDFLAGS+=-Wl,--as-needed

%:
	dh $@ --with autotools_dev,python2

override_dh_auto_configure:
	dh_auto_configure -- --disable-scrollkeeper

override_dh_install:
	dh_install
	find debian/gnome-commander/usr/lib -name *.la -delete

# Disable this to avoid FTBFS.
override_dh_auto_test:

override_dh_strip:
	dh_strip --dbg-package=gnome-commander-dbg

override_dh_makeshlibs:
	dh_makeshlibs -n

## gnome-commander 1.2.8.11

=== debian/changelog ===
gnome-commander (1.2.8.11-3) unstable; urgency=low

  * 0001-update_bookmarks_on_panes_add_current.patch:
    - Call gnome_cmd_main_win_update_bookmarks after having bookmarked the
      current directory (LP: #743898).
  * 0002-crash_when_cancel_a_search.patch:
    - Avoid crash when cancelling a search (LP: #618214).

 -- Alessio Treglia <alessio@debian.org>  Thu, 12 May 2011 12:27:05 +0200

gnome-commander (1.2.8.11-2) unstable; urgency=low

  * Remove "MIME Types" item from the "Settings" menu (LP: #701848).
    - When clicking on "Settings -> MIME Types" a "No such file or directory"
      error gets raised since the gnome-file-types-properties tool was removed
      in GNOME >> 2.6.
  * Enable parallel builds.

 -- Alessio Treglia <alessio@debian.org>  Sun, 08 May 2011 14:23:54 +0200

gnome-commander (1.2.8.11-1) unstable; urgency=low

  * New upstream release:
    - Bug fixes:
      + Fixed problem #639243 (misleading docs for F2 shortcut).
      + Fixed problem #640387 (usage of deprecated python modules: md5, sha1).
      + Fixed problem with starting GNOME Commander as root.
      + Fixed problem with Traditional Chinese translation.
    - New features:
      + Support for backward/forward mouse buttons.
  * Build with scour for SVG optimization.
  * Bump python-dev requirement to 2.6.6-3~.
  * Bump Standards.
  * Remove the following patches, they have been applied upstream:
    - 0001-smb_browsing.patch
    - 0002-spelling_errors.patch
    - 0003-fix_manpage.patch
    - 0004-desktop_file.patch
  * Update 0005-python26.patch patch:
    - Adjust 'import md5,sha' statements depending on the current Python
      version.

 -- Alessio Treglia <alessio@debian.org>  Wed, 04 May 2011 16:07:52 +0200

gnome-commander (1.2.8.10-4) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Feb 2011 23:46:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,16 +11,17 @@
  libgnome2-dev (>= 2.0),
  libgnomeui-dev (>= 2.4),
  libgnomevfs2-dev (>= 2.0),
- python-dev,
+ python-dev (>= 2.6.6-3~),
  libxml-parser-perl,
  gnome-doc-utils,
  rarian-compat,
  libtag1-dev (>= 1.4),
  libexiv2-dev (>= 0.14),
  libpoppler-dev (>= 0.6),
+ python-scour,
  libssl-dev
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.nongnu.org/gcmd/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-commander.git

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 LDFLAGS+=-Wl,--as-needed
 
 %:
-	dh $@ --with autotools_dev,python2
+	dh $@ --parallel --with autotools_dev,python2,scour
 
 override_dh_auto_configure:
 	dh_auto_configure -- --disable-scrollkeeper

## gnome-commander 1.2.8.13

=== debian/changelog ===
gnome-commander (1.2.8.13-1) unstable; urgency=low

  * New upstream bugfix release:
    - History: do not add empty string.
    - Prevent crash on file properties when connected to FTP,
      upstream bug#646871
    - Code cleanup.

 -- Alessio Treglia <alessio@debian.org>  Sun, 07 Aug 2011 12:49:33 +0200

gnome-commander (1.2.8.12-1) unstable; urgency=low

  * New upstream release:
    - Fixed problem #618214 (crash when cancel a search).
    - Fixed problem #640387 (yet another fix for deprecated python modules:
      + md5
      + sha1
    - Fixed problem #649375 (bookmarks not updated for newly added ones).
    - Fixed problem with mkdir permissions.
  * Remove patches applied upstream.
    - 0001-update_bookmarks_on_panes_add_current.p$
    - 0002-crash_when_cancel_a_search.patch
    - 0005-python26.patch

 -- Alessio Treglia <alessio@debian.org>  Fri, 17 Jun 2011 14:26:06 +0200

## gnome-commander 1.2.8.14

=== debian/changelog ===
gnome-commander (1.2.8.14-1) unstable; urgency=low

  * New upstream bugfix release:
    - Fixed problem #621756 (custom port for ftp is not saved).
    - Fixed problem #657780 (bugs in nl.po).

 -- Alessio Treglia <alessio@debian.org>  Wed, 05 Oct 2011 17:58:00 +0200

=== debian/control ===
Source: gnome-commander
Section: gnome
Priority: optional
Maintainer: Michael Vogt <mvo@debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>
Build-Depends:
 autotools-dev (>= 20100122.1~),
 debhelper (>= 7.0.50~),
 gnome-doc-utils,
 intltool,
 libexiv2-dev (>= 0.14),
 libglib2.0-dev (>= 2.0),
 libgnome2-dev (>= 2.0),
 libgnomeui-dev (>= 2.4),
 libgnomevfs2-dev (>= 2.0),
 libgtk2.0-dev (>= 2.8),
 libpoppler-dev (>= 0.6),
 libssl-dev,
 libtag1-dev (>= 1.4),
 libxml-parser-perl,
 python-dev (>= 2.6.6-3~),
 python-scour,
 rarian-compat
X-Python-Version: >= 2.6
Standards-Version: 3.9.2
Homepage: http://www.nongnu.org/gcmd/
Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-commander.git

Package: gnome-commander
Architecture: any
Depends:
 gnome-commander-data (>= ${source:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: libgnomevfs2-extra, meld
Description: nice and fast file manager for the GNOME desktop
 GNOME Commander is a fast and powerful graphical filemanager for the GNOME
 desktop environment, it has a "two-pane" interface in the tradition of
 Norton and Midnight Commander.

Package: gnome-commander-data
Architecture: all
Replaces: gnome-commander (<= 1.2.8.10-1)
Breaks: gnome-commander (<= 1.2.8.10-1)
Depends: ${misc:Depends}
Suggests: gnome-commander
Description: Data files for GNOME Commander
 GNOME Commander is a fast and powerful graphical filemanager for
 the GNOME desktop environment, it has a "two-pane" interface in
 the tradition of Norton and Midnight Commander.
 .
 This package contains the data files for gnome-commander.

Package: gnome-commander-dbg
Section: debug
Priority: extra
Architecture: any
Depends: gnome-commander (= ${binary:Version}), ${misc:Depends}
Description: Debugging symbols for gnome-commander
 GNOME Commander is a fast and powerful graphical filemanager for the GNOME
 desktop environment, it has a "two-pane" interface in the tradition of
 Norton and Midnight Commander.
 .
 This package contains the debugging symbols for gnome-commander.

## gnome-commander 1.2.8.15

=== debian/changelog ===
gnome-commander (1.2.8.15-3) unstable; urgency=low

  [ Alessio Treglia ]
  * ACK NMU.
  * Update debian/copyright to the machine-readable format.
  * Bump Standards.

  [ Pino Toscano ]
  * Replace libpoppler-dev B-D with libpoppler-private-dev.

 -- Alessio Treglia <alessio@debian.org>  Mon, 14 May 2012 00:37:27 +0200

gnome-commander (1.2.8.15-2.1) unstable; urgency=high

  * Non maintainer upload.
  * Work around build failure with GCC 4.7 (build with -fpermissive).
    Closes: #672027.
  * Fix build errors with -Werror=format-security.

 -- Matthias Klose <doko@debian.org>  Tue, 08 May 2012 21:31:18 +0200

gnome-commander (1.2.8.15-2) unstable; urgency=low

  * debian/patches/0001-sort_by_dir.patch
    - Fix sort_by_dir().
  * debian/patches/0002-strrchr_instead_of_g_strrstr.patch:
    - Replace g_strrstr() with the faster strrchr().
  * debian/patches/0003-g_ascii_strcasecmp_instead_of_g_strcasecmp.patch
    - Replacing obsoleted g_strcasecmp() with g_ascii_strcasecmp()

 -- Alessio Treglia <alessio@debian.org>  Wed, 11 Jan 2012 22:22:35 +0100

gnome-commander (1.2.8.15-1) unstable; urgency=low

  * New upstream release.
  * Fix watch file, tarballs are now distributed in the .tar.xz form.
  * Update debian/gbp.conf.

 -- Alessio Treglia <alessio@debian.org>  Mon, 12 Dec 2011 19:24:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  libgnomeui-dev (>= 2.4),
  libgnomevfs2-dev (>= 2.0),
  libgtk2.0-dev (>= 2.8),
- libpoppler-dev (>= 0.6),
+ libpoppler-private-dev (>= 0.6),
  libssl-dev,
  libtag1-dev (>= 1.4),
  libxml-parser-perl,
@@ -22,7 +22,7 @@
  python-scour,
  rarian-compat
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.nongnu.org/gcmd/
 Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-commander.git

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,13 @@
 #!/usr/bin/make -f
 
 LDFLAGS+=-Wl,--as-needed
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 %:
 	dh $@ --parallel --with autotools_dev,python2,scour
 
 override_dh_auto_configure:
-	dh_auto_configure -- --disable-scrollkeeper
+	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- --disable-scrollkeeper
 
 override_dh_install:
 	dh_install

## gnome-commander 1.2.8.17

=== debian/changelog ===
gnome-commander (1.2.8.17-1) unstable; urgency=low

  * New upstream release.
  * Update patchset:
    - General refresh
    - Drop patches applied upstream:
      + 0001-sort_by_dir.patch
      + 0002-strrchr_instead_of_g_strrstr.patch
      + 0003-g_ascii_strcasecmp_instead_of_g_strcasecmp.patch
      + poppler compatibility hack
  * New homepage for the project, update Homepage field accordingly.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Wed, 29 Jan 2014 16:53:14 +0000

gnome-commander (1.2.8.15-4) unstable; urgency=low

  [ Pino Toscano ]
  * Fix build with Poppler >= 0.20.x. (Closes: #679888)
  * Autoreconf at build time.

  [ Alessio Treglia ]
  * Update Vcs tags.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Jul 2013 04:19:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends:
  autotools-dev (>= 20100122.1~),
  debhelper (>= 7.0.50~),
+ dh-autoreconf,
  gnome-doc-utils,
  intltool,
  libexiv2-dev (>= 0.14),
@@ -22,10 +23,10 @@
  python-scour,
  rarian-compat
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.3
-Homepage: http://www.nongnu.org/gcmd/
-Vcs-Git: git://git.debian.org/collab-maint/gnome-commander.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/gnome-commander.git
+Standards-Version: 3.9.5
+Homepage: http://gcmd.github.io/
+Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-commander.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-commander.git
 
 Package: gnome-commander
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 %:
-	dh $@ --parallel --with autotools_dev,python2,scour
+	dh $@ --parallel --with autotools_dev,autoreconf,python2,scour
 
 override_dh_auto_configure:
 	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- --disable-scrollkeeper

## gnome-commander 1.4.3

=== debian/changelog ===
gnome-commander (1.4.3-1) unstable; urgency=low

  * New upstream bugfix release.

 -- Alessio Treglia <alessio@debian.org>  Thu, 26 Jun 2014 13:35:01 +0100

gnome-commander (1.4.2-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Bump debhelper to 9; this enables hardening by default.
  * Drop autotools-dev.
  * Run autoreconf with --as-needed.

 -- Alessio Treglia <alessio@debian.org>  Fri, 13 Jun 2014 19:52:15 +0100

gnome-commander (1.4.1-1) unstable; urgency=low

  * New upstream release:
    - Fix build failures on ARM architectures. Thanks to Pino Toscano for
      pointing it out.
  * Replace libpoppler-private-dev with libpoppler-glib-dev on Build-Depends.

 -- Alessio Treglia <alessio@debian.org>  Tue, 08 Apr 2014 15:19:30 +0100

gnome-commander (1.4.0-1) unstable; urgency=low

  * New upstream release:
    - This version is dedicated to the former maintainer
      and main developer of GNOME Commander Piotr Eljasiak.
  * Build depend on libunique-dev.
  * debian/gbp.conf:
    - There's no need actually to sign tags.
  * Drop 1001-invalid_menu_item_edit_mime.patch, the feature of editing
    default applications via MIME entries has been dropped.
  * Refresh debian/patches/werror-format-security.diff patch.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Apr 2014 12:21:51 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Michael Vogt <mvo@debian.org>
-Uploaders: Alessio Treglia <alessio@debian.org>
+Uploaders:
+ Alessio Treglia <alessio@debian.org>
 Build-Depends:
- autotools-dev (>= 20100122.1~),
- debhelper (>= 7.0.50~),
+ debhelper (>= 9~),
  dh-autoreconf,
  gnome-doc-utils,
  intltool,
@@ -15,9 +15,10 @@
  libgnomeui-dev (>= 2.4),
  libgnomevfs2-dev (>= 2.0),
  libgtk2.0-dev (>= 2.8),
- libpoppler-private-dev (>= 0.6),
+ libpoppler-glib-dev,
  libssl-dev,
  libtag1-dev (>= 1.4),
+ libunique-dev,
  libxml-parser-perl,
  python-dev (>= 2.6.6-3~),
  python-scour,
@@ -35,7 +36,9 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
-Suggests: libgnomevfs2-extra, meld
+Suggests:
+ libgnomevfs2-extra,
+ meld
 Description: nice and fast file manager for the GNOME desktop
  GNOME Commander is a fast and powerful graphical filemanager for the GNOME
  desktop environment, it has a "two-pane" interface in the tradition of
@@ -43,10 +46,14 @@
 
 Package: gnome-commander-data
 Architecture: all
-Replaces: gnome-commander (<= 1.2.8.10-1)
-Breaks: gnome-commander (<= 1.2.8.10-1)
-Depends: ${misc:Depends}
-Suggests: gnome-commander
+Replaces:
+ gnome-commander (<= 1.2.8.10-1)
+Breaks:
+ gnome-commander (<= 1.2.8.10-1)
+Depends:
+ ${misc:Depends}
+Suggests:
+ gnome-commander
 Description: Data files for GNOME Commander
  GNOME Commander is a fast and powerful graphical filemanager for
  the GNOME desktop environment, it has a "two-pane" interface in
@@ -58,7 +65,9 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: gnome-commander (= ${binary:Version}), ${misc:Depends}
+Depends:
+ gnome-commander (= ${binary:Version}),
+ ${misc:Depends}
 Description: Debugging symbols for gnome-commander
  GNOME Commander is a fast and powerful graphical filemanager for the GNOME
  desktop environment, it has a "two-pane" interface in the tradition of

## gnome-commander 1.4.5

=== debian/changelog ===
gnome-commander (1.4.5-1) experimental; urgency=medium

  * New upstream bugfix release:
    - Fixed problem bgo#741316 (Appdata missing in POT)
    - Fixed problem bgo#742716 (Option --start-right-dir
      crashes gnome-commander)
    - Fixed problem bgo#571495 (Migrated from
      gnome_execute_shell to g_spawn_async)
    - Fixed problem bgo#737088 (Support for user's terminal
      different from gnome-terminal)
    - Refresh translations.
  * Add gnome-user-guide to Suggests. (Closes: #741862)

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 Feb 2015 03:27:56 +0000

=== debian/control ===
--- 
+++ 
@@ -37,6 +37,7 @@
  ${python:Depends},
  ${shlibs:Depends}
 Suggests:
+ gnome-user-guide,
  libgnomevfs2-extra,
  meld
 Description: nice and fast file manager for the GNOME desktop

## gnome-commander 1.4.7

=== debian/changelog ===
gnome-commander (1.4.7-1build1) wily; urgency=medium

  * No-change rebuild against libexiv2-14.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 06 Aug 2015 08:12:18 +0200

gnome-commander (1.4.7-1) unstable; urgency=medium

  * New upstream release.
  * Refresh debian/copyright

 -- Alessio Treglia <alessio@debian.org>  Fri, 05 Jun 2015 00:58:21 +0100

gnome-commander (1.4.5-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 27 Apr 2015 13:24:51 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,10 @@
 CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) -fpermissive
 
 %:
-	dh $@ --parallel --with autotools_dev,autoreconf,python2,scour
+	dh $@ --parallel --with autoreconf,python2,scour
+
+override_dh_autoreconf:
+	dh_autoreconf --as-needed
 
 override_dh_auto_configure:
 	CXXFLAGS="$(CXXFLAGS)" dh_auto_configure -- --disable-scrollkeeper

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/([\d.]+)/gnome-commander-([\d.]+)\.tar\.(?:bz2|xz)

## gnome-commander 1.4.8

=== debian/changelog ===
gnome-commander (1.4.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-Depend on python3-scour to fix build failure with latest scour
  * Drop obsolete Build-Depends on rarian-compat (Closes: #885640)
  * Don't suggest gnome-user-guide (Closes: #879561) (LP: #1691867)

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 28 Dec 2017 14:12:57 -0500

gnome-commander (1.4.8-1) unstable; urgency=medium

  * Imported Upstream version 1.4.8
  * Drop patches, adopted upstream.
  * Fix FTBFS on arch-indep builds. Closes: #806035
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Sun, 28 Aug 2016 17:14:22 +0100

=== debian/control ===
--- 
+++ 
@@ -21,10 +21,9 @@
  libunique-dev,
  libxml-parser-perl,
  python-dev (>= 2.6.6-3~),
- python-scour,
- rarian-compat
+ python3-scour (>= 0.36)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://gcmd.github.io/
 Vcs-Git: git://anonscm.debian.org/collab-maint/gnome-commander.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/gnome-commander.git
@@ -37,7 +36,6 @@
  ${python:Depends},
  ${shlibs:Depends}
 Suggests:
- gnome-user-guide,
  libgnomevfs2-extra,
  meld
 Description: nice and fast file manager for the GNOME desktop

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
 
 override_dh_install:
 	dh_install
-	find debian/gnome-commander/usr/lib -name *.la -delete
+	[ ! -d debian/gnome-commander/usr/lib ] || \
+		find debian/gnome-commander/usr/lib -name *.la -delete
 
 # Disable this to avoid FTBFS.
 override_dh_auto_test:

## gnome-commander 1.14.0

=== debian/changelog ===
gnome-commander (1.14.0-1) unstable; urgency=medium

  * Reintroduce to Debian
  * Change Maintainer to Debian GNOME team
  * New upstream release
  * Update dependencies for new version
  * Lots of packaging cleanup including:
    - Build-Depend on debhelper-compat 13
    - Don't disable the build tests
    - Migrate to automatic debug package
  * Have gnome-commander package install the .desktop & AppStream metadata

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Mon, 21 Feb 2022 20:34:16 -0500

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-commander
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>,
           Michael Vogt <mvo@debian.org>,
           Alessio Treglia <alessio@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gnome,
               flex,
               libexiv2-dev (>= 0.14),
               libglib2.0-dev (>= 2.66.0),
               libgsf-1-dev (>= 1.12.0),
               libgtest-dev <!nocheck>,
               libgtk2.0-dev (>= 2.24.0),
               libpoppler-glib-dev (>= 0.18),
               libtag1-dev (>= 1.4),
               yelp-tools
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-commander.git
Homepage: https://gcmd.github.io/

Package: gnome-commander
Architecture: any
Depends: gnome-commander-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: meld
Description: nice and fast file manager for the GNOME desktop
 GNOME Commander is a fast and powerful graphical filemanager for the GNOME
 desktop environment, it has a "two-pane" interface in the tradition of
 Norton and Midnight Commander.

Package: gnome-commander-data
Architecture: all
Depends: ${misc:Depends}
Suggests: gnome-commander
Description: Data files for GNOME Commander
 GNOME Commander is a fast and powerful graphical filemanager for
 the GNOME desktop environment, it has a "two-pane" interface in
 the tradition of Norton and Midnight Commander.
 .
 This package contains the data files for gnome-commander.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- --without-unique

execute_before_dh_install:
	find debian/tmp -name '*.la' -print -delete

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-commander-dbg (<< 1.14.0-1~)'

## gnome-commander 1.14.2

=== debian/changelog ===
gnome-commander (1.14.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 27 Mar 2022 17:00:45 -0400

gnome-commander (1.14.1-2) unstable; urgency=medium

  * debian/rules: Fix arch:all build

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 19 Mar 2022 14:32:08 -0400

gnome-commander (1.14.1-1) unstable; urgency=medium

  * New upstream release
  * Use appstream-util to install a NEWS file

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 16:44:15 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>,
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               appstream-util,
                dh-sequence-gnome,
                flex,
                libexiv2-dev (>= 0.14),

=== debian/rules ===
--- 
+++ 
@@ -15,5 +15,9 @@
 execute_before_dh_install:
 	find debian/tmp -name '*.la' -print -delete
 
+execute_after_dh_installdocs-arch:
+	appstream-util appdata-to-news debian/gnome-commander/usr/share/metainfo/org.gnome.gnome-commander.appdata.xml \
+	> debian/gnome-commander/usr/share/doc/gnome-commander/NEWS
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='gnome-commander-dbg (<< 1.14.0-1~)'

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+[02468]/@PACKAGE@-([\d.]+)@ARCHIVE_EXT@

## gnome-commander 1.14.3

=== debian/changelog ===
gnome-commander (1.14.3-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 21 Jun 2022 13:47:35 -0300

## gnome-commander 1.16.0

=== debian/changelog ===
gnome-commander (1.16.0-1) unstable; urgency=medium

  * New upstream release
  * Build with meson
  * debian/control.in: Build-Depend on libsmbclient-dev & desktop-file-utils
  * debian/rules: Don't install unnecessary header files
  * Add debian/upstream/metadata
  * Set Rules-Requires-Root: no
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 24 Jan 2023 18:41:53 -0500

=== debian/control ===
--- 
+++ 
@@ -10,18 +10,22 @@
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util,
+               appstream-util <!nocheck>,
+               desktop-file-utils,
                dh-sequence-gnome,
                flex,
+               itstool,
                libexiv2-dev (>= 0.14),
                libglib2.0-dev (>= 2.66.0),
                libgsf-1-dev (>= 1.12.0),
                libgtest-dev <!nocheck>,
                libgtk2.0-dev (>= 2.24.0),
                libpoppler-glib-dev (>= 0.18),
+               libsmbclient-dev,
                libtag1-dev (>= 1.4),
-               yelp-tools
-Standards-Version: 4.6.0
+               meson (>= 0.59)
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-commander.git
 Homepage: https://gcmd.github.io/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dauto_features=enabled -Dunique=disabled

execute_after_dh_installdocs-arch:
	appstream-util appdata-to-news debian/gnome-commander/usr/share/metainfo/org.gnome.gnome-commander.appdata.xml \
	> debian/gnome-commander/usr/share/doc/gnome-commander/NEWS

override_dh_strip:
	dh_strip --dbgsym-migration='gnome-commander-dbg (<< 1.14.0-1~)'

override_dh_missing:
	dh_missing -X usr/include

## gnome-commander 1.16.1

=== debian/changelog ===
gnome-commander (1.16.1-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:06:01 +0000

gnome-commander (1.16.1-1build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:36:46 +1300

gnome-commander (1.16.1-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:43:28 +0000

gnome-commander (1.16.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:38:39 +0000

gnome-commander (1.16.1-1) unstable; urgency=medium

  * New upstream release
  * Drop obsolete dbgsym migration handling

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 19:48:22 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-commander
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@ubuntu.com>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper-compat (= 13),

=== debian/rules ===
--- 
+++ 
@@ -13,8 +13,5 @@
 	appstream-util appdata-to-news debian/gnome-commander/usr/share/metainfo/org.gnome.gnome-commander.appdata.xml \
 	> debian/gnome-commander/usr/share/doc/gnome-commander/NEWS
 
-override_dh_strip:
-	dh_strip --dbgsym-migration='gnome-commander-dbg (<< 1.14.0-1~)'
-
 override_dh_missing:
 	dh_missing -X usr/include

## gnome-commander 1.16.2

=== debian/changelog ===
gnome-commander (1.16.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 17 May 2024 09:43:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,13 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gnome-commander
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper-compat (= 13),
                appstream-util <!nocheck>,
                desktop-file-utils,
-               dh-sequence-gnome,
                flex,
                itstool,
                libexiv2-dev (>= 0.14),

## gnome-commander 1.18.1

=== debian/changelog ===
gnome-commander (1.18.1-1) unstable; urgency=medium

  * New upstream release
  * Switch from GTK2 to GTK3 (Closes: #1006984, #300872, #785125, #712599)
  * Use xvfb for build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 31 Jul 2024 15:35:44 -0400

=== debian/control ===
--- 
+++ 
@@ -14,11 +14,13 @@
                libglib2.0-dev (>= 2.66.0),
                libgsf-1-dev (>= 1.12.0),
                libgtest-dev <!nocheck>,
-               libgtk2.0-dev (>= 2.24.0),
+               libgtk-3-dev (>= 3.24),
                libpoppler-glib-dev (>= 0.18),
                libsmbclient-dev,
                libtag1-dev (>= 1.4),
-               meson (>= 0.59)
+               meson (>= 0.59),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander

## gnome-commander 1.18.2

=== debian/changelog ===
gnome-commander (1.18.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 10 Feb 2025 08:05:22 -0500

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                meson (>= 0.59),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-commander.git

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -Dauto_features=enabled -Dunique=disabled
+	dh_auto_configure -- -Dauto_features=enabled
 
 execute_after_dh_installdocs-arch:
 	appstream-util appdata-to-news debian/gnome-commander/usr/share/metainfo/org.gnome.gnome-commander.appdata.xml \
@@ -15,3 +15,6 @@
 
 override_dh_missing:
 	dh_missing -X usr/include
+
+override_dh_auto_test:
+	xvfb-run -a dh_auto_test

## gnome-commander 1.18.4

=== meson_options.txt ===
--- 
+++ 
@@ -4,5 +4,4 @@
 option('poppler', type: 'feature', value: 'auto', description: 'Enable PDF support or not.')
 option('samba',   type: 'feature', value: 'auto', description: 'Enable SAMBA support or not.')
 option('taglib',  type: 'feature', value: 'auto', description: 'Enable taglib (ID3, Vorbis, APE and FLAC) support or not.')
-option('unique',  type: 'feature', value: 'auto', description: 'Enable unique support or not.')
 option('tests',   type: 'feature', value: 'auto', description: 'Build tests')

=== debian/changelog ===
gnome-commander (1.18.4-2) unstable; urgency=medium

  * Fix the nocheck build (Closes: #1122320)
  * Remove unnecessary Priority: optional field

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 09 Dec 2025 19:12:02 -0500

gnome-commander (1.18.4-1) unstable; urgency=medium

  * New upstream release (Closes: #1114130)
  * Use Build-Depends: libtag-dev instead of libtag1-dev (Closes: #1096085)
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 05 Oct 2025 19:49:27 -0400

gnome-commander (1.18.2-2) unstable; urgency=medium

  * Team upload
  * Switch from appstream-util to appstreamcli

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:49:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gnome-commander
 Section: gnome
-Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               appstream-util <!nocheck>,
+               appstream,
                desktop-file-utils,
                flex,
                itstool,
@@ -17,12 +16,11 @@
                libgtk-3-dev (>= 3.24),
                libpoppler-glib-dev (>= 0.18),
                libsmbclient-dev,
-               libtag1-dev (>= 1.4),
+               libtag-dev (>= 1.4),
                meson (>= 0.59),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander
 Vcs-Git: https://salsa.debian.org/gnome-team/gnome-commander.git
 Homepage: https://gcmd.github.io/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dtests=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),disabled,enabled)

execute_after_dh_installdocs-arch:
	appstreamcli metainfo-to-news debian/gnome-commander/usr/share/metainfo/org.gnome.gnome-commander.appdata.xml \
	 debian/gnome-commander/usr/share/doc/gnome-commander/NEWS

override_dh_missing:
	dh_missing -X usr/include

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## gnome-commander 1.18.5

=== debian/changelog ===
gnome-commander (1.18.5-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 27 Jan 2026 19:14:25 -0500

gnome-commander (1.18.4-3) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Jan 2026 17:47:11 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: gnome-commander
 Section: gnome
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
            Michael Vogt <mvo@debian.org>,
            Alessio Treglia <alessio@debian.org>
@@ -20,9 +20,9 @@
                meson (>= 0.59),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-commander
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-commander.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gnome-commander
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gnome-commander.git
 Homepage: https://gcmd.github.io/
 
 Package: gnome-commander
